Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport
Class AVTransport

    java.lang.Object
      org.teleal.cling.support.avtransport.AVTransport

    public class AVTransport

extends Object

Field Summary
`protected DeviceCapabilities` | `deviceCapabilities`
`protected MediaInfo` | `mediaInfo`
`protected PositionInfo` | `positionInfo`
`protected TransportInfo` | `transportInfo`
`protected TransportSettings` | `transportSettings`

Constructor Summary
`AVTransport(StorageMedium[] possiblePlayMedia)`

Method Summary
`DeviceCapabilities` | `getDeviceCapabilities()`
`MediaInfo` | `getMediaInfo()`
`PositionInfo` | `getPositionInfo()`
`TransportInfo` | `getTransportInfo()`
`TransportSettings` | `getTransportSettings()`
`void` | `setDeviceCapabilities(DeviceCapabilities deviceCapabilities)`
`void` | `setMediaInfo(MediaInfo mediaInfo)`
`void` | `setPositionInfo(PositionInfo positionInfo)`
`void` | `setTransportInfo(TransportInfo transportInfo)`
`void` | `setTransportSettings(TransportSettings transportSettings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mediaInfo

    protected MediaInfo mediaInfo

### transportInfo

    protected TransportInfo transportInfo

### positionInfo

    protected PositionInfo positionInfo

### deviceCapabilities

    protected DeviceCapabilities deviceCapabilities

### transportSettings

    protected TransportSettings transportSettings

Constructor Detail

### AVTransport

    public AVTransport(StorageMedium[] possiblePlayMedia)

Method Detail

### getMediaInfo

    public MediaInfo getMediaInfo()

### setMediaInfo

    public void setMediaInfo(MediaInfo mediaInfo)

### getTransportInfo

    public TransportInfo getTransportInfo()

### setTransportInfo

    public void setTransportInfo(TransportInfo transportInfo)

### getPositionInfo

    public PositionInfo getPositionInfo()

### setPositionInfo

    public void setPositionInfo(PositionInfo positionInfo)

### getDeviceCapabilities

    public DeviceCapabilities getDeviceCapabilities()

### setDeviceCapabilities

    public void setDeviceCapabilities(DeviceCapabilities deviceCapabilities)

### getTransportSettings

    public TransportSettings getTransportSettings()

### setTransportSettings

    public void setTransportSettings(TransportSettings transportSettings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.